Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth.callback
Class DialogCallbackHandler

    java.lang.Object
      com.ibm.security.auth.callback.DialogCallbackHandler

All Implemented Interfaces:
  CallbackHandler

    public class DialogCallbackHandler

extends java.lang.Object
implements CallbackHandler

Uses a Swing dialog window to query the user for answers to authentication questions. This can be used by a JAAS application to instantiate a CallbackHandler

See Also:
  `javax.security.auth.callback`

Constructor Summary
`DialogCallbackHandler()` Creates a callback dialog with the default parent window.
`DialogCallbackHandler(java.awt.Component parentComponent)` Creates a callback dialog and specify the parent window.

Method Summary
`void` | `handle(Callback[] callbacks)` Handles the specified set of callbacks.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialogCallbackHandler

    public DialogCallbackHandler()

  Creates a callback dialog with the default parent window.

### DialogCallbackHandler

    public DialogCallbackHandler(java.awt.Component parentComponent)

  Creates a callback dialog and specify the parent window.

  Parameters:
    `parentComponent` - the parent window -- specify `null` for the default parent

Method Detail

### handle

    public void handle(Callback[] callbacks)
                throws UnsupportedCallbackException

  Handles the specified set of callbacks.

  Specified by:
    `handle` in interface `CallbackHandler`
  Parameters:
    `callbacks` - the callbacks to handle
  Throws:
    `UnsupportedCallbackException` - if the callback is not an instance of NameCallback or PasswordCallback

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD